@echo off
SET MoveDirSource=C:\Backup
SET MoveDirDestination=\\192.168.200.80\Backup\

FOR    %%i IN ("%MoveDirSource%*") DO           MOVE /Y "%%i" "%MoveDirDestination%%%~nxi"
FOR /D %%i IN ("%MoveDirSource%*") DO ROBOCOPY /MOVE /E "%%i" "%MoveDirDestination%%%~nxi"

mkdir C:\Backup